PIRL.Conductor.Maestro

## Class Conductor_Table_Model_Event

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TableModelEvent
    - - PIRL.Conductor.Maestro.Conductor_Table_Model_Event

All Implemented Interfaces:
  Serializable

    public class Conductor_Table_Model_Event
    extends TableModelEvent

A Conductor_Table_Model_Event extends a TableModelEvent with Conductor processing status information.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `ID` Class identification name with source code version and date.
`int` `Processing_State` The processing state of the Conductor with which the event is associated.

### Fields inherited from class javax.swing.event.TableModelEvent

`ALL_COLUMNS, column, DELETE, firstRow, HEADER_ROW, INSERT, lastRow, type, UPDATE`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`Conductor_Table_Model_Event(TableModel source)`
`Conductor_Table_Model_Event(TableModel source, int row)`
`Conductor_Table_Model_Event(TableModel source, int first_row, int last_row)`
`Conductor_Table_Model_Event(TableModel source, int first_row, int last_row, int column)`
`Conductor_Table_Model_Event(TableModel source, int first_row, int last_row, int column, int type)` Construct a Conductor_Table_Model_Event.

### Method Summary

Methods
`int` `Processing_State()` Get the Conductor processing state of the event.
`Conductor_Table_Model_Event` `Processing_State(int processing_state)` Set the Conductor processing state of the event.

### Methods inherited from class javax.swing.event.TableModelEvent

`getColumn, getFirstRow, getLastRow, getType`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

#### Processing_State

    public int Processing_State

The processing state of the Conductor with which the event is associated.

### Constructor Detail

#### Conductor_Table_Model_Event

    public Conductor_Table_Model_Event(TableModel source)

#### Conductor_Table_Model_Event

    public Conductor_Table_Model_Event(TableModel source,
                               int row)

#### Conductor_Table_Model_Event

    public Conductor_Table_Model_Event(TableModel source,
                               int first_row,
                               int last_row)

#### Conductor_Table_Model_Event

    public Conductor_Table_Model_Event(TableModel source,
                               int first_row,
                               int last_row,
                               int column)

#### Conductor_Table_Model_Event

    public Conductor_Table_Model_Event(TableModel source,
                               int first_row,
                               int last_row,
                               int column,
                               int type)

Construct a Conductor_Table_Model_Event.

### Method Detail

#### Processing_State

    public Conductor_Table_Model_Event Processing_State(int processing_state)

Set the Conductor processing state of the event.

Parameters:
  `processing_state` - The processing state value.
Returns:
  This Conductor_Table_Model_Event.

#### Processing_State

    public int Processing_State()

Get the Conductor processing state of the event.

Returns:
  The processing state value.